Package fr.gouv.vitam.common.mapping.serializer

# Class XMLGregorianCalendarSerializer

java.lang.Object
com.fasterxml.jackson.databind.JsonSerializer<XMLGregorianCalendar>
com.fasterxml.jackson.databind.ser.std.StdSerializer<XMLGregorianCalendar>
fr.gouv.vitam.common.mapping.serializer.XMLGregorianCalendarSerializer

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`, `com.fasterxml.jackson.databind.jsonschema.SchemaAware`, `Serializable`

public class XMLGregorianCalendarSerializer extends com.fasterxml.jackson.databind.ser.std.StdSerializer<XMLGregorianCalendar>
XMLGregorian calendar Serializer

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

  `com.fasterxml.jackson.databind.JsonSerializer.None`

- ## Field Summary

  ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

  `_handledType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XMLGregorianCalendarSerializer()`
  constructor
  `XMLGregorianCalendarSerializer(Class<XMLGregorianCalendar> type)`
  constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `serialize(XMLGregorianCalendar calendar, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider)`
  serialize date

  ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

  `_neitherNull, _nonEmpty, acceptJsonFormatVisitor, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

  ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

  `getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId, withIgnoredProperties`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XMLGregorianCalendarSerializer

    public XMLGregorianCalendarSerializer()
    constructor

  - ### XMLGregorianCalendarSerializer

    public XMLGregorianCalendarSerializer(Class<XMLGregorianCalendar> type)
    constructor
    Parameters:
      `type` -

- ## Method Details

  - ### serialize

    public void serialize(XMLGregorianCalendar calendar, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider) throws IOException
    serialize date
    Specified by:
      `serialize` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<XMLGregorianCalendar>`
    Parameters:
      `calendar` -
      `jgen` -
      `provider` -
    Throws:
      `IOException`